<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>markus.keingeldfuerdiemensa.backend</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.backend package">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="markus.keingeldfuerdiemensa.backend";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;markus.keingeldfuerdiemensa.backend</h1>
<div class="docSummary">
<div class="block">Ausgelagerte App-Logik wie ViewModels, Hilfsklassen und die benötigten Klassen für die Room-Dakenbank</div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">CategoryDAO</a></td>
<td class="colLast">
<div class="block">Alle Queries, die Room auf die categories Tabelle anwenden kann. Die Funktionen werden automatisch
durch Room implementiert, deren Parameter in die Query eingebunden und Ergebnisse anhand der Rückgabewerte zurückgegeben</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></td>
<td class="colLast">
<div class="block">Alle Queries, die Room auf die money_record Tabelle anwenden kann. Die Funktionen werden automatisch
durch Room implementiert, deren Parameter in die Query eingebunden und Ergebnisse anhand der Rückgabewerte zurückgegeben</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend">AppUtils</a></td>
<td class="colLast">
<div class="block">statisches Objekt mit Hilfsfunktionen, die an verschiedenen Stellen der App benutzt werden</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></td>
<td class="colLast">
<div class="block"><a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></td>
<td class="colLast">
<div class="block">AndroidViewModel für <a href="../../../markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>, welches die Verbindung zwischen dem UI und der Datenbank herstellt</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/DateTypeConverter.html" title="class in markus.keingeldfuerdiemensa.backend">DateTypeConverter</a></td>
<td class="colLast">
<div class="block">Room-spezifische Klasse mit Methoden, die den Datentyp <a href="https://developer.android.com/reference/java/util/Date.html">Date</a> zu <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a> umwandeln (und umgekehrt), damit <a href="https://developer.android.com/reference/java/util/Date.html">Date</a> in einer SQLite Datenbank gespeichert werden kann</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyDatabase</a></td>
<td class="colLast">
<div class="block">Datenbank-Klasse, die von der RoomDatabase erbt und Room eine Liste von DAOs bereitstellt</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></td>
<td class="colLast">
<div class="block"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></td>
<td class="colLast">
<div class="block">AndroidViewModel für <a href="../../../markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>, welches die Verbindung zwischen dem UI und der Datenbank herstellt</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/doAsync.html" title="class in markus.keingeldfuerdiemensa.backend">doAsync</a></td>
<td class="colLast">
<div class="block">Utility-Klasse um Code platzsparend in einem Android <a href="https://developer.android.com/reference/android/os/AsyncTask.html">AsyncTask</a> ausführen zu lassen, Code von https://stackoverflow.com/a/49314329</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend">CalculationPeriod</a></td>
<td class="colLast">
<div class="block">Enum für die verschiedenen Berechnungszeiträume</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package markus.keingeldfuerdiemensa.backend Description">Package markus.keingeldfuerdiemensa.backend Description</h2>
<div class="block"><p><p>Ausgelagerte App-Logik wie ViewModels, Hilfsklassen und die benötigten Klassen für die Room-Dakenbank</p></p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../markus/keingeldfuerdiemensa/package-summary.html">Prev&nbsp;Package</a></li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
